Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 132715 - add support for nested lists to htmlbuffer.py
Summary: add support for nested lists to htmlbuffer.py
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard: FC5
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2004-09-16 06:26 UTC by Alexandre Oliva
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-01 03:08:51 UTC


Attachments (Terms of Use)

Description Alexandre Oliva 2004-09-16 06:26:40 UTC
There are several unexpected line breaks at inappropriate places in
the release notes, as rendered by anaconda.  For example, the bullet
before GCC 3.4 or Gnome 2.8 has a line break between the bullet and
the text, which looks horrible.

The list of changed file names under X Window System doesn't have line
breaks at the right points, so it ends up totally unreadable.

Version-Release number of selected component (if applicable):
fedora-release-2.91-4 anaconda-10.0.2-4

Comment 1 Ed Bailey 2004-09-16 20:10:40 UTC
The misplaced bullets appear to be a bug in htmlbuffer.py when
handling multi-level nested lists.  The bullets at the point of
nesting are misplaced, and the nested list is not indented.

The run-together stuff in the X section was due to some stupid markup
I used.  I've fixed it, but since it uses nested lists you'll end up
seeing more misplaced bullets. :-(

Reassigning this to anaconda, so that htmlbuffer.py can be made a bit
smarter -- it absolutely needs to be able to handle lists nested
two-deep, and if it could be made to deal with lists nested three- or
four-deep, I'd be a happy man, indeed... :-)

FYI, The change in markup may not end up being reflected in test2,
depending on whether rel-eng decides to respin fedora-release...

Comment 2 Jeremy Katz 2004-09-16 20:42:49 UTC
Nested bullets aren't handled at this point and doing so isn't likely
to happen for fc3 (doing so requires a massive rework of how the html
widget works to not just simply apply pango attributes at the front
and back-end of things...)

Comment 3 Jeremy Katz 2006-03-01 03:08:51 UTC
gtkhtml2 should handle these better


Note You need to log in before you can comment on or make changes to this bug.